Bug 176799 - [GTK] Layout test editing/deleting/delete-surrogatepair.html crashing with CRITICAL **: enchant_dict_check: assertion 'g_utf8_validate(word, len, NULL)' failed
Summary: [GTK] Layout test editing/deleting/delete-surrogatepair.html crashing with CR...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-12 13:10 PDT by Michael Catanzaro
Modified: 2018-03-27 03:10 PDT (History)
3 users (show)

See Also:


Attachments
Patch (5.87 KB, patch)
2018-03-26 22:59 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (5.97 KB, patch)
2018-03-27 03:09 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-09-12 13:10:59 PDT
Since enabling fatal criticals for layout tests, test editing/deleting/delete-surrogatepair.html now crashes with the following error:

CRITICAL **: enchant_dict_check: assertion 'g_utf8_validate(word, len, NULL)' failed

Updating expectations accordingly.

Backtrace:

Thread 1 (Thread 0x7f5cb2fe4a80 (LWP 26654)):
#0  _g_log_abort () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmessages.c:549
#1  0x00007f5cc161c1b5 in g_logv () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmessages.c:1357
#2  0x00007f5cc161c302 in g_log () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmessages.c:1398
#3  0x00007f5cbc9330db in enchant_dict_check () from /usr/lib/x86_64-linux-gnu/libenchant.so.1
#4  0x00007f5cc42a8757 in _ZN7WebCore18TextCheckerEnchant19checkSpellingOfWordERKN3WTF7CStringEiiRiS5_ () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#5  0x00007f5cc42a887e in _ZN7WebCore18TextCheckerEnchant21checkSpellingOfStringERKN3WTF6StringERiS5_ () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#6  0x00007f5cc363496b in _ZN6WebKit11TextChecker21checkSpellingOfStringElN3WTF10StringViewERiS3_ () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#7  0x00007f5cc3634ef1 in _ZN6WebKit11TextChecker20checkTextOfParagraphElN3WTF10StringViewEimb () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#8  0x00007f5cc33ed414 in _ZN6WebKit12WebPageProxy20checkTextOfParagraphERKN3WTF6StringEmiRNS1_6VectorIN7WebCore18TextCheckingResultELm0ENS1_15CrashOnOverflowELm16ENS1_10FastMallocEEE () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#9  0x00007f5cc37362c6 in _ZN3IPC13handleMessageIN8Messages12WebPageProxy20CheckTextOfParagraphEN6WebKit12WebPageProxyEMS5_FvRKN3WTF6StringEmiRNS6_6VectorIN7WebCore18TextCheckingResultELm0ENS6_15CrashOnOverflowELm16ENS6_10FastMallocEEEEEEvRNS_7DecoderERNS_7EncoderEPT0_T1_ () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#10 0x00007f5cc3732c39 in _ZN6WebKit12WebPageProxy21didReceiveSyncMessageERN3IPC10ConnectionERNS1_7DecoderERSt10unique_ptrINS1_7EncoderESt14default_deleteIS7_EE () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#11 0x00007f5cc3337041 in _ZN3IPC18MessageReceiverMap19dispatchSyncMessageERNS_10ConnectionERNS_7DecoderERSt10unique_ptrINS_7EncoderESt14default_deleteIS6_EE () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#12 0x00007f5cc342656b in _ZN6WebKit15WebProcessProxy21didReceiveSyncMessageERN3IPC10ConnectionERNS1_7DecoderERSt10unique_ptrINS1_7EncoderESt14default_deleteIS7_EE () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#13 0x00007f5cc33328bd in _ZN3IPC10Connection19dispatchSyncMessageERNS_7DecoderE () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#14 0x00007f5cc3332985 in _ZN3IPC10Connection15dispatchMessageESt10unique_ptrINS_7DecoderESt14default_deleteIS2_EE () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#15 0x00007f5cc333386c in _ZN3IPC10Connection18dispatchOneMessageEv () from /home/slave/webkitgtk/gtk-linux-64-release/build/WebKitBuild/Release/lib/libwebkit2gtk-4.0.so.37
#16 0x00007f5cc5d97330 in _ZN3WTF7RunLoop11performWorkEv ()
#17 0x00007f5cc5dcc399 in _ZZN3WTF7RunLoopC4EvENUlPvE_4_FUNES1_ ()
#18 0x00007f5cc16155ca in g_main_dispatch () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmain.c:3212
#19 g_main_context_dispatch () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmain.c:3865
#20 0x00007f5cc1615948 in g_main_context_iterate () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmain.c:3938
#21 0x00007f5cc1615c62 in g_main_loop_run () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/glib-2.52.1/glib/gmain.c:4134
#22 0x00007f5cc5dccd40 in _ZN3WTF7RunLoop3runEv ()
#23 0x00007f5cc5d6fec2 in _ZN3WTR14TestInvocation6invokeEv ()
#24 0x00007f5cc5d6230c in _ZN3WTR14TestController7runTestEPKc ()
#25 0x00007f5cc5d624db in _ZN3WTR14TestController20runTestingServerLoopEv ()
#26 0x00007f5cc5d64d98 in _ZN3WTR14TestControllerC2EiPPKc ()
#27 0x00007f5cc5d5b89c in main ()
Comment 1 Fujii Hironori 2018-03-26 22:59:55 PDT
Created attachment 336569 [details]
Patch
Comment 2 Carlos Garcia Campos 2018-03-26 23:05:49 PDT
Comment on attachment 336569 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=336569&action=review

> Source/WebCore/ChangeLog:9
> +        the number of charactors is 1. An incorrect string length was

charactors -> characters
Comment 3 Fujii Hironori 2018-03-27 03:09:40 PDT
Created attachment 336572 [details]
Patch
Comment 4 Fujii Hironori 2018-03-27 03:10:47 PDT
Committed r229994: <https://trac.webkit.org/changeset/229994>